import Command from '../Command';
import RelationshipModel from '../model/RelationshipModel';
declare class AddRelationshipCommand extends Command {
    private _model;
    /**
       * @classdesc This command class handles do/undo of adding a relationship to a topic.
       */
    constructor(model: RelationshipModel);
    /**
       * Overrides abstract parent method
       */
    execute(commandContext: any): void;
    /**
       * Overrides abstract parent method
       * @see {@link mindplot.Command.undoExecute}
       */
    undoExecute(commandContext: any): void;
}
export default AddRelationshipCommand;
